%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Kolab_Server
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Kolab-Server
Version:        2.0.5
Release:        2%{?dist}
Summary:        A package for manipulating the Kolab user database

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}/
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

Patch0:         https://github.com/horde/Kolab_Server/commit/5efb632b7a3a2fa76cf3ee76df650f1f2317a206.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR)
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.4.0
BuildRequires:  php-pear(pear.phpunit.de/PHPUnit_Story)

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Auth) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Auth) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Exception) >= 3.0.0
# optional
Requires:       php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Date) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Ldap) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Ldap) >= 3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
This package reads/writes entries in the Kolab user database stored in LDAP.


%prep
%setup -q -c
cd %{pear_name}-%{version}
%patch0 -p1 -b .upstream

sed -e '/Changes.php/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml
touch -r ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit -d date.timezone=UTC .


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%dir %{pear_phpdir}/Horde/Kolab
%{pear_phpdir}/Horde/Kolab/Server
%{pear_testdir}/%{pear_name}


%changelog
* Mon Nov 25 2019 josef radinger <cheese@nosuchhost.net> - 2.0.5-2
- some cleanup
- add patch0

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.0.5-1
- bump version
- fix check-section

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.0.4-1
- bump version

* Wed Jan 07 2015 josef radinger <cheese@nosuchhost.net> - 2.0.3-1
- bump version

* Thu Mar 28 2013 Remi Collet <RPMS@FamilleCollet.com> - 2.0.2-1
- initial package
